Bug 1280537 - kwineffects causes systemsettings to crash when opened twice
kwineffects causes systemsettings to crash when opened twice
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kwin (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 21:21 EST by Bernie Innocenti
Modified: 2015-11-17 18:40 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-17 18:40:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 354164 None None None Never

  None (edit)
Description Bernie Innocenti 2015-11-11 21:21:26 EST
Description of problem:
See upstream bug: https://bugs.kde.org/show_bug.cgi?id=354164

Version-Release number of selected component (if applicable):
5.4.3-1

How reproducible:
every time

Steps to Reproduce:
1. open systemsettings
2. go to Desktop Behavior
3. click on Desktop Effects
4. now exit to Overview
5. reopen Desktop Behavior and go to Desktop Effects again
6. BOOM

Additional info:

Patch is already upstream:

https://quickgit.kde.org/?p=kwin.git&a=commit&h=76cd1fdc3411142991096adf8da9d7e74536f671

In fact, it should already be included in 5.4.3... so it's strange that I'm still seeing this crash.
Comment 1 Rex Dieter 2015-11-12 07:58:54 EST
Silly question, after upgrading to 5.4.3, did you restart your session?  (if not, that may explain it)
Comment 2 Bernie Innocenti 2015-11-13 11:01:27 EST
> Silly question, after upgrading to 5.4.3, did you restart your session?
> (if not, that may explain it)

I logged out and logged back in and the crash is still reproducible for me.
Comment 3 Bernie Innocenti 2015-11-17 18:40:31 EST
Problem no longer reproducible on F23 after installing today's updates.

Note You need to log in before you can comment on or make changes to this bug.